"imgCacheEntry release isn't thread-safe!" running test_geolocation.xul

RESOLVED FIXED

Status

()

defect
RESOLVED FIXED
9 years ago
7 years ago

People

(Reporter: mossop, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

6904 INFO Running chrome://mochikit/content/chrome/dom/tests/mochitest/chrome/test_geolocation.xul...
++DOMWINDOW == 74 (0CCCDA48) [serial = 520] [outer = 054E2A30]
(leaked URLS snipped)
nsStringStats
 => mAllocCount:         233807
 => mReallocCount:        43694
 => mFreeCount:          210553  --  LEAKED 23254 !!!
 => mShareCount:         214512
 => mAdoptCount:          20934
 => mAdoptFreeCount:      20929  --  LEAKED 5 !!!
Assertion failure: cx->requestDepth > 0, at e:/builds/moz2_slave/mozilla-central-win32-debug/build/js/src/jsgc.cpp:2550
###!!! ABORT: imgCacheEntry release isn't thread-safe!: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:\builds\moz2_slave\mozilla-central-win32-debug\build\modules\libpr0n\src\imgLoader.h, line 81
NEXT ERROR TEST-UNEXPECTED-FAIL | automation.py | Exited with code 128 during test run
INFO | automation.py | Application ran for: 0:03:52.296000

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264697235.1264698859.10551.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/01/28 08:47:15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267403434.1267405348.17626.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/02/28 16:30:34
s: win32-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267569815.1267573431.7556.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/03/02 14:43:35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267617605.1267620997.907.gz&fulltext=1
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/03/03 04:00:05
s: win32-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268966393.1268968547.17973.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/03/18 19:39:53
s: win32-slave42

Comment 5

9 years ago
Related to bug #529949 ?

Comment 6

9 years ago
(In reply to comment #5)
> Related to bug #529949 ?

Mmmm - sorry. Didn't notice the comments in the tinderbox-logs. Apparently, this was fixed by bug #571619. Maybe close it...?
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.